Imap support in php with DOVECOT

Cenys

Verified User
Joined
Jan 26, 2009
Messages
6
First at all i did a search in the forum and i found the following (Solution by DEMZ):

Solution for: Imap support in php
Trying to add --with-imap to your configure.php5 ?
and getting this error?

configure: error: utf8_mime2text() has new signature, but U8T_CANONICAL is missing

Solution (worked for me, this was a dovecot machine):

1. yum install libc-client
2. yum install libc-client-devel
3. add:

--with-imap=/usr/lib/dovecot/imap \
--with-imap-ssl \

to: configure.php5 (custombuild/configure/ap2/)

4. ./build php y


I try to follow all the steps all goes well but when i did the building on php i get the following error:

/usr/local/directadmin/custombuild/configure/ap2/configure.php5: line 31: --with-imap=/usr/lib/dovecot/imap: No such file or directory

*** There was an error while trying to configure php. Check the configure/ap2/configure.php5 file
Problem is that the /usr/lib/dovecot/imap directory does exist.

[root@server custombuild]# cd /usr/lib/dovecot/
[root@server dovecot]# ls
auth lib10_quota_plugin.la lib20_expire_plugin.so lib20_zlib_plugin.a
imap lib10_quota_plugin.so lib20_fts_plugin.a lib20_zlib_plugin.la
lda lib11_trash_plugin.a lib20_fts_plugin.la lib20_zlib_plugin.so
lib01_acl_plugin.a lib11_trash_plugin.la lib20_fts_plugin.so lib21_fts_squat_plugin.a
lib01_acl_plugin.la lib11_trash_plugin.so lib20_mail_log_plugin.a lib21_fts_squat_plugin.la
lib01_acl_plugin.so lib20_convert_plugin.a lib20_mail_log_plugin.la lib21_fts_squat_plugin.so
lib02_lazy_expunge_plugin.a lib20_convert_plugin.la lib20_mail_log_plugin.so pop3
lib02_lazy_expunge_plugin.la lib20_convert_plugin.so lib20_mbox_snarf_plugin.a
lib02_lazy_expunge_plugin.so lib20_expire_plugin.a lib20_mbox_snarf_plugin.la
lib10_quota_plugin.a lib20_expire_plugin.la lib20_mbox_snarf_plugin.so
[root@server dovecot]# cd imap
[root@server imap]# ls
lib01_acl_plugin.so lib11_imap_quota_plugin.la lib20_expire_plugin.so lib20_zlib_plugin.so
lib02_lazy_expunge_plugin.so lib11_imap_quota_plugin.so lib20_fts_plugin.so lib21_fts_squat_plugin.so
lib10_quota_plugin.so lib11_trash_plugin.so lib20_mail_log_plugin.so
lib11_imap_quota_plugin.a lib20_convert_plugin.so lib20_mbox_snarf_plugin.so

What i did wrong?? :/ thanks in advance
 

e.marketer

Verified User
Joined
Feb 7, 2009
Messages
7
thank you to inform me if you solved the problem, I need to activate this option ASAP
 

Cenys

Verified User
Joined
Jan 26, 2009
Messages
6
Jumm i will take a look on this and try to install it, i will inform you if i get it solved :D


THANKS IN ADVANCE!
 

e.marketer

Verified User
Joined
Feb 7, 2009
Messages
7
I'm on debian, and I tried all methods without success, please can you help me i really need this function



Débian - php 5.2.8 - custombuild - dovecot
 

huan

Verified User
Joined
Mar 7, 2005
Messages
30
Location
Poland
I'm on debian, and I tried all methods without success, please can you help me i really need this function

For Debian do the following:

Code:
apt-get install libc-client2007b libc-client2007b-dev
Then edit your configure.php5 ( in configure/suphp/ directory if you use suPHP or configure/ap2/ for Apache2 without suPHP) and add:
Code:
"--with-imap" \
"--with-imap-ssl" \
and compile php:
Code:
./build php y
 
Top